<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.device.mapper.ElectricMeterRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="electricMeterRecordResultMap" type="org.springblade.device.entity.ElectricMeterRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="device_id" property="deviceId"/>
        <result column="device_name" property="deviceName"/>
        <result column="device_type" property="deviceType"/>
        <result column="imei" property="imei"/>
        <result column="device_factory" property="deviceFactory"/>
        <result column="install_address" property="installAddress"/>
        <result column="device_status" property="deviceStatus"/>
        <result column="read_time" property="readTime"/>
        <result column="day_value" property="dayValue"/>
        <result column="month_value" property="monthValue"/>
        <result column="year_value" property="yearValue"/>
        <result column="total_value" property="totalValue"/>
        <result column="org_position" property="orgPosition"/>
    </resultMap>


    <select id="selectElectricMeterRecordPage" resultMap="electricMeterRecordResultMap">
        select * from smart_electric_meter_record where is_deleted = 0
    </select>

</mapper>
